Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class DisplayCommand

- org.codehaus.groovy.tools.shell.commands.DisplayCommand

- The 'display' command. Displays the current buffer (e.g. while method declaration was not finished).

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DisplayCommand (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `execute(List<String> args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Constructor Detail

    - #### DisplayCommand(Groovysh shell)

  - ### Method Detail

    - #### @Override Object execute(List<String> args)